<?php
/*
 * @package Joomla!
 * @subpackage mod_aoc_nivoslider
 * @version 0.1.50403
 * @copyright Copyright (C) 2014 Art of Cart All rights reserved.
 * @license http://www.gnu.org/licenses GNU General Public License version 2 or later; see LICENSE.txt
 * @author url: http://www.artofcart.net
 * @author AocWt support@artofcart.net
 * have  a nice day and don't forget to support us :)
 */

defined('_JEXEC') or die;

// Include the syndicate functions only once

require_once __DIR__ . '/helper.php';

$class_sfx			= htmlspecialchars($params->get('class_sfx'));
$style			= $params->get('aoc_nivoslider_style');
$slidermode		= $params->get('aoc_nivoslider_mode');
$moduleid			= $module->id;
$baseurl			= JURI::base();

$animspeed		= $params->get('aoc_nivoslider_animspeed');
$pausetime		= $params->get('aoc_nivoslider_pausetime');
$effect			= $params->get('aoc_nivoslider_effect');
$slices			= $params->get('aoc_nivoslider_slices');
$boxcols			= $params->get('aoc_nivoslider_boxcols');
$boxrows			= $params->get('aoc_nivoslider_boxrows');
$startslide			= $params->get('aoc_nivoslider_startslide');
$directionnav		= $params->get('aoc_nivoslider_directionnav');
$controlnav		= $params->get('aoc_nivoslider_controlnav');
$controlnavthumbs	= $params->get('aoc_nivoslider_controlnavthumbs');
$pauseonhover		= $params->get('aoc_nivoslider_pauseonhover');
$manualadvance	= $params->get('aoc_nivoslider_manualadvance');
$prevtext			= $params->get('aoc_nivoslider_prevtext');
$nexttext			= $params->get('aoc_nivoslider_nexttext');
$randomstart		= $params->get('aoc_nivoslider_randomstart');
//getmoduleid

	JHTML::stylesheet('modules/mod_aoc_nivoslider/assets/css/aoc_nivoslider.css' );
	JHTML::stylesheet('modules/mod_aoc_nivoslider/assets/themes/'.$style.'/'.$style.'.css' );
	JHTML::stylesheet('modules/mod_aoc_nivoslider/assets/css/nivo-slider.css' );	
	JHTML::script('modules/mod_aoc_nivoslider/assets/js/mod_aoc_nivoslider.js' );
	JHTML::script('modules/mod_aoc_nivoslider/assets/js/jquery-1.9.0.min.js' );
	JHTML::script('modules/mod_aoc_nivoslider/assets/js/jquery.nivo.slider.js' );



$slider=array();
for ($i=1; $i<=10; $i++){
	$img=$params->get('aoc_nivoslider_img'.$i.'_link');
	if (!empty($img)){
	$slider[$i]['img']=$params->get('aoc_nivoslider_img'.$i.'_link');
	$slider[$i]['alt']=$params->get('aoc_nivoslider_img'.$i.'_alt');
	$slider[$i]['title']=$params->get('aoc_nivoslider_img'.$i.'_title');
	$slider[$i]['caption']=$params->get('aoc_nivoslider_img'.$i.'_caption');
	$slider[$i]['url']=$params->get('aoc_nivoslider_img'.$i.'_url');
	$slider[$i]['target']=$params->get('aoc_nivoslider_img'.$i.'_target');
	$slider[$i]['transition']=$params->get('aoc_nivoslider_img'.$i.'_transition');
	$slider[$i]['thumb']=$params->get('aoc_nivoslider_img'.$i.'_thumb');	
	}
}



$firstResult		= ModAOCNivoSliderHelper::firstMethod($params);
$secondResult		= ModAOCNivoSliderHelper::secondMethod($params);

require JModuleHelper::getLayoutPath('mod_aoc_nivoslider', $params->get('layout', 'default'));